petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatCreateSubMatrix

Creates a composite matrix that acts as a submatrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateSubMatrix(Mat A,IS isrow,IS iscol,Mat *newmat)

Collective on Mat

### Input Parameters

| A | - matrix that we will extract a submatrix of
| isrow | - rows to be present in the submatrix
| iscol | - columns to be present in the submatrix

### Output Parameters

newmat -new matrix

### Notes

Most will use MatGetSubMatrix which provides a more efficient representation if it is available.

### See Also

MatGetSubMatrix(), MatSubMatrixUpdate()

Level:developer
Location:src/mat/impls/submat/submat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages